- Getting started
    - [Quick start](getting-started/quickstart.md)
    - [Quick introduction to core concepts](getting-started/core-concepts.md)
    - [Working with multiple apps](getting-started/multiple-apps.md)
    - [Dash Platform Applications](getting-started/dash-platform-applications.md)
    - [About Schemas](getting-started/about-schemas.md)

- Examples
    - [Generate a mnemonic](/examples/generate-a-new-mnemonic.md)
    - [Receive money and display balance](/examples/receive-money-and-check-balance.md)
    - [Pay to another address](/examples/pay-to-another-address.md)
    - [Fetch an identity from its name](/examples/fetch-an-identity-from-its-name.md)
    - [Use another BIP44 account](/examples/use-different-account.md)
    - [Sign and verify messages](/examples/sign-and-verify-messages.md)

- Usage
    - [DAPI](usage/dapi.md)
    - [Platform](platform/about-platform.md)
        - [About platform](platform/about-platform.md)
        - **Identities**
            - [About identities](platform/identities/about-identity.md)
            - [`.get()`](platform/identities/get.md)
            - [`.register()`](platform/identities/register.md)
            - [`.topUp()`](platform/identities/topUp.md)
        - **Contracts**
            - [About contracts](platform/contracts/about-contracts.md)
            - [`.get()`](platform/contracts/get.md)
            - [`.create()`](platform/contracts/create.md)
            - [`.publish()`](platform/contracts/publish.md)
            - [`.update()`](platform/contracts/update.md)
        - **Documents**
            - [About documents](platform/documents/about-documents.md)
            - [`.get()`](platform/documents/get.md)
            - [`.create()`](platform/documents/create.md)
            - [`.broadcast()`](platform/documents/broadcast.md)
        - **Names**
            - [About DPNS](platform/names/about-dpns.md)
            - [`.register()`](platform/names/register.md)
            - [`.resolve()`](platform/names/resolve.md)
            - [`.resolveByRecord()`](platform/names/resolveByRecord.md)
            - [`.search()`](platform/names/search.md)
    - [Wallet](wallet/about-wallet-lib.md)
        - [Accounts](wallet/accounts.md)
        - [Signing, Encrypt and Decrypt](wallet/signing-encrypt.md)
    - [Dashcore Primitives](usage/dashcorelib-primitives.md)

- [License](LICENSE)
